Consultar categoria
curl --request GET \
--url https://integracao.sandbox.cardapioweb.com/api/partner/v1/catalog/categories/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://integracao.sandbox.cardapioweb.com/api/partner/v1/catalog/categories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integracao.sandbox.cardapioweb.com/api/partner/v1/catalog/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"description": "<string>",
"index": 123,
"image": {
"image_url": "<string>",
"thumbnail_url": "<string>"
},
"allowed_times": [
{
"start_at": "18:00",
"end_at": "23:00"
}
],
"items": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"image": {
"image_url": "<string>",
"thumbnail_url": "<string>"
},
"highlighted": true,
"external_code": "<string>",
"price": 1,
"cost_price": 1,
"stock": 1,
"active_stock_control": true,
"index": 123,
"available_for": [],
"hide_observation_field": true,
"adults_only": true,
"promotional_price_active": true,
"promotional_price": 1,
"promotional_price_schedules": [
{
"start": "18:00",
"end": "23:00"
}
],
"unit_type": "UN",
"allowed_times": [
{
"start_at": "18:00",
"end_at": "23:00"
}
],
"extra_images": [
{
"image_url": "<string>",
"thumbnail_url": "<string>"
}
],
"option_groups": [
{
"id": 123,
"name": "<string>",
"minimum_quantity": 1,
"maximum_quantity": 2,
"index": 123,
"options": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"external_code": "<string>",
"image": {
"image_url": "<string>",
"thumbnail_url": "<string>"
},
"cost_price": 1,
"active_stock_control": true,
"stock": 123,
"index": 123,
"max_quantity": 123,
"price": 1
}
]
}
],
"combo_steps": [
{
"id": 123,
"name": "<string>",
"price": 1,
"remove_add_on_prices": true,
"index": 123,
"combo_step_items": [
{
"item_id": 123,
"index": 123,
"additional_price": 1
}
]
}
]
}
]
}{
"code": 4010,
"message": "Token inválido."
}{
"code": 4041,
"message": "Recurso não encontrado."
}This response has no body data.Categorias
Consultar categoria
Retorna os detalhes de uma categoria específica, incluindo seus itens.
GET
/
api
/
partner
/
v1
/
catalog
/
categories
/
{id}
Consultar categoria
Autorizações
bearerAuthpartnerKey & apiKey
Access token OAuth 2.0 de app instalado na CW App Store. Escopo: catalog.
Parâmetros de caminho
ID da categoria.
Resposta
Categoria retornada com sucesso.
Categoria do cardápio que agrupa itens relacionados.
Identificador único da categoria.
Nome da categoria.
Descrição da categoria.
Índice de exibição da categoria.
Status da categoria.
ACTIVE: categoria ativa e visível.INACTIVE: categoria oculta.MISSING: categoria em falta.
Opções disponíveis:
ACTIVE, INACTIVE, MISSING Imagem da categoria.
Show child attributes
Show child attributes
Horários de disponibilidade da categoria. Array vazio significa sempre disponível.
Show child attributes
Show child attributes
Lista de itens da categoria.
Show child attributes
Show child attributes
Última modificação em 30 de junho de 2026
Esta página foi útil?
⌘I
